Index: LMDZ5/branches/testing/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90	(revision 2594)
+++ LMDZ5/branches/testing/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90	(revision 2720)
@@ -2,9 +2,9 @@
 ! $Id: readaerosolstrato2_rrtm.F90 2526 2016-05-26 22:13:40Z oboucher $
 !
-subroutine readaerosolstrato2_rrtm(debut)
-
-    use netcdf95, only: nf95_close, nf95_gw_var, nf95_inq_dimid, & 
+SUBROUTINE readaerosolstrato2_rrtm(debut)
+
+    USE netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, & 
                         nf95_inq_varid, nf95_open
-    use netcdf, only: nf90_get_var, nf90_noerr, nf90_nowrite
+    USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
 
     USE phys_cal_mod, ONLY : mth_cur
@@ -17,9 +17,9 @@
     USE aero_mod
     USE dimphy
-    USE YOERAD   , ONLY : NLW
-
-    implicit none
-
-    include "YOMCST.h"
+    USE YOERAD, ONLY : NLW
+    USE YOMCST
+
+    IMPLICIT NONE
+
     INCLUDE "clesphys.h"
 
@@ -28,45 +28,44 @@
 
 ! Variable input
-    logical, intent(in) ::  debut
+    LOGICAL, INTENT(IN) ::  debut
 
 ! Variables locales
-    integer n_lat   ! number of latitudes in the input data
-    integer n_lon   ! number of longitudes
-    integer n_lev   ! number of levels in the input data
-    integer n_month ! number of months in the input data
-    integer n_wav   ! number of wavelengths in the input data
-    real, pointer:: latitude(:)
-    real, pointer:: longitude(:)
-    real, pointer:: time(:)
-    real, pointer:: lev(:)
-    real, pointer:: wav(:)
-    integer i,k,wave,band
-    integer, save :: mth_pre
-
-    real, allocatable, dimension(:,:,:), save :: tau_aer_strat
-    real, allocatable, dimension(:,:,:), save :: piz_aer_strat
-    real, allocatable, dimension(:,:,:), save :: cg_aer_strat
-    real, allocatable, dimension(:,:,:), save :: taulw_aer_strat
+    INTEGER n_lat   ! number of latitudes in the input data
+    INTEGER n_lon   ! number of longitudes
+    INTEGER n_lev   ! number of levels in the input data
+    INTEGER n_month ! number of months in the input data
+    INTEGER n_wav   ! number of wavelengths in the input data
+    REAL, POINTER:: latitude(:)
+    REAL, POINTER:: time(:)
+    REAL, POINTER:: lev(:)
+    REAL, POINTER:: wav(:)
+    INTEGER i,k,wave,band
+    INTEGER, SAVE :: mth_pre
+
+    REAL, ALLOCATABLE, DIMENSION(:,:,:), SAVE :: tau_aer_strat
+    REAL, ALLOCATABLE, DIMENSION(:,:,:), SAVE :: piz_aer_strat
+    REAL, ALLOCATABLE, DIMENSION(:,:,:), SAVE :: cg_aer_strat
+    REAL, ALLOCATABLE, DIMENSION(:,:,:), SAVE :: taulw_aer_strat
 !$OMP THREADPRIVATE(tau_aer_strat,piz_aer_strat,cg_aer_strat,taulw_aer_strat)
 
 ! Champs reconstitues
-    real, allocatable:: tauaerstrat(:, :, :, :)
-    real, allocatable:: pizaerstrat(:, :, :, :)
-    real, allocatable:: cgaerstrat(:, :, :, :)
-    real, allocatable:: taulwaerstrat(:, :, :, :)
-
-    real, allocatable:: tauaerstrat_mois(:, :, :, :)
-    real, allocatable:: pizaerstrat_mois(:, :, :, :)
-    real, allocatable:: cgaerstrat_mois(:, :, :, :)
-    real, allocatable:: taulwaerstrat_mois(:, :, :, :)
-
-    real, allocatable:: tauaerstrat_mois_glo(:, :, :)
-    real, allocatable:: pizaerstrat_mois_glo(:, :, :)
-    real, allocatable:: cgaerstrat_mois_glo(:, :, :)
-    real, allocatable:: taulwaerstrat_mois_glo(:, :, :)
+    REAL, ALLOCATABLE:: tauaerstrat(:, :, :, :)
+    REAL, ALLOCATABLE:: pizaerstrat(:, :, :, :)
+    REAL, ALLOCATABLE:: cgaerstrat(:, :, :, :)
+    REAL, ALLOCATABLE:: taulwaerstrat(:, :, :, :)
+
+    REAL, ALLOCATABLE:: tauaerstrat_mois(:, :, :, :)
+    REAL, ALLOCATABLE:: pizaerstrat_mois(:, :, :, :)
+    REAL, ALLOCATABLE:: cgaerstrat_mois(:, :, :, :)
+    REAL, ALLOCATABLE:: taulwaerstrat_mois(:, :, :, :)
+
+    REAL, ALLOCATABLE:: tauaerstrat_mois_glo(:, :, :)
+    REAL, ALLOCATABLE:: pizaerstrat_mois_glo(:, :, :)
+    REAL, ALLOCATABLE:: cgaerstrat_mois_glo(:, :, :)
+    REAL, ALLOCATABLE:: taulwaerstrat_mois_glo(:, :, :)
 
 ! For NetCDF:
-    integer ncid_in  ! IDs for input files
-    integer varid, ncerr
+    INTEGER ncid_in  ! IDs for input files
+    INTEGER varid, ncerr
 
 !--------------------------------------------------------
@@ -343,3 +342,3 @@
     tau_aero_lw_rrtm = MAX(tau_aero_lw_rrtm,1.e-15)
 
-end subroutine readaerosolstrato2_rrtm
+END SUBROUTINE readaerosolstrato2_rrtm
